<html lang="en">
<head>
    <meta charset="UTF-8" lang="en-us">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>samp1</title>
    <style>
        .sub_cls{
            font-family:papyrus;
        }
    </style>
</head>
<body>
    <script>
        const params = new URLSearchParams(window.location.search)
        // for (const param of params.values()) {
            var psts = new XMLHttpRequest();
            psts.open("GET", "https://jsonplaceholder.typicode.com/posts?userId="+params.get('id'));
            psts.responseType = 'json'
            psts.send();
            psts.onload = ()=>{
                var post = psts.response
                
                main_fun(post);
            function main_fun(post){
                var main_div = document.createElement('div');
                main_div.id = 'main_id';
                
                main_div.style.fontSize = '14px';
                var div = document.createElement('div');
                console.log('post called');
                for(var i=0;i<post.length;i++){
                    function fun(){
                    
                        var sub_div = document.createElement('div');
                        sub_div.style.border = '1px solid skyblue';
                        sub_div.style.background = 'whitesmoke';
                        sub_div.style.margin = '20px';
                        sub_div.className="sub_cls";
                        sub_div.id = 'postid'+i;
                        var l = document.createElement('LABEL');
                        l.setAttribute("for","cb"+i);
                    
                        var input = document.createElement('input');
                        input.type = 'checkbox';
                        input.setAttribute("id","cb"+i);
                        sub_div.appendChild(input);

                        var edit_input = document.createElement('i');
                        edit_input.setAttribute('class','fa fa-edit'); 
                        edit_input.style.opacity = '0.5';
                        edit_input.style.float = 'right';
                        edit_input.style.paddingTop = '3px';
                        edit_input.style.paddingRight = '3px';
                        sub_div.appendChild(edit_input);

                        var trash_input = document.createElement('i');
                        trash_input.setAttribute('class','fa fa-trash'); 
                        trash_input.style.opacity = 0.5;
                        trash_input.style.float = 'right';
                        trash_input.style.paddingTop = '2px';
                        trash_input.style.paddingRight = '5px';
                        trash_input.onclick = ()=>{
                            var yn = confirm('Are you sure you want to delete?');
                            if(yn){
                                delete_posts();
                            }
                            else{
                                alert('Delete unsuccessful');
                            }
                        }
                        var a_t = document.createElement('a');
                        a_t.appendChild(trash_input);
                        a_t.href = '#';
                        a_t.style.color = 'black';
                        sub_div.appendChild(a_t);

                        var sub_div1 = document.createElement('div');
                        sub_div1.appendChild(document.createTextNode("title: "+post[i].title));
                        sub_div.appendChild(sub_div1);

                        var sub_div2 = document.createElement('div');
                        sub_div2.appendChild(document.createTextNode("body: "+post[i].body));
                        sub_div.appendChild(sub_div2);
                    
                        cmts_fun();
                        function cmts_fun(){
                            var cmnts = new XMLHttpRequest();
                            cmnts.open("GET","https://jsonplaceholder.typicode.com/comments?postId="+post[i].id);
                            cmnts.responseType = 'json';
                            cmnts.send();
                            cmnts.onload = ()=>{
                                var comments = cmnts.response;

                                var sub_div_h = document.createElement('div');
                                sub_div_h.appendChild(document.createTextNode("Comments: "));
                                sub_div.appendChild(sub_div_h);
                                sub_div_h.style.paddingTop = '10px';
                                sub_div_h.style.paddingBottom = '5px';
                                var hr = document.createElement('hr');
                                sub_div.appendChild(hr);
                                for(var j=0;j<3;j++){
                                    var sub_div3 = document.createElement('div');
                                    
                                    sub_div3.appendChild(document.createTextNode("Name: " + comments[j].name));
                                    sub_div.appendChild(sub_div3);

                                    var sub_div4 = document.createElement('div');
                                    sub_div4.appendChild(document.createTextNode("Email: " + comments[j].email));
                                    sub_div.appendChild(sub_div4);

                                    var sub_div5 = document.createElement('div');
                                    sub_div5.appendChild(document.createTextNode("Body: "+comments[j].body));
                                    sub_div.appendChild(sub_div5);
                                    if(j<2){
                                    var hr = document.createElement('hr');
                                    sub_div.appendChild(hr);
                                    }
                                }
                            }
                        }
                        
                        l.appendChild(sub_div);
                        div.appendChild(l);
                }
                fun();
            }
        main_div.appendChild(div);
        document.body.appendChild(main_div);
    }
    function delete_posts(){
                a=[];
                idx = 0;
                for(var k=0;k<post.length;k++){
                    console.log('out: ', k, document.getElementById('cb'+k).checked);
                    if(document.getElementById('cb'+k).checked){
                        a[idx] = k;
                        idx+=1;
                    }
                }
                if(a.length==0){
                    alert("please select atleast one post to delete");
                }
                else{
                    request_posts(a);
                }
            }
            function request_posts(a){
                var j=0;
                for(var i=0;i<a.length;i++){
                    // document.querySelectorAll('div#postid')[i].remove();
                    post.splice(a[i-j],1);
                    console.log(post);
                    // var del = new XMLHttpRequest();
                    // del.open('DELETE',"https://jsonplaceholder.typicode.com/posts/"+post[i].id);
                    // del.send();
                    j+=1;
                }
                document.getElementById('main_id').remove();
                main_fun(post);
            }    
                //main_div.style.display = 'flex';
}
            
            
        
        // window.opener.postMessage('C2p','*');
        // window.addEventListener("message",(msg)=>{
        //     console.log(msg.data);
        // });
    </script>
</body>
</html>